Sso\WebserviceBundle\Entity\Webservice\Type\Attribute:
    type: entity
    table: attribute
    uniqueConstraints:
        udx_application_attrribute:
            columns:
                - application_id
                - attribute_id
    id:
        Id:
            type: string
            nullable: false
            length: 64
            fixed: true
            id: true
            column: attribute_id
            generator:
                strategy: NONE
    fields:
        Name:
            type: string
            nullable: false
            length: 64
            fixed: false
            column: attribute_name
        Lowername:
            type: string
            nullable: false
            length: 64
            fixed: false
            column: attribute_lowername
        Type:
            type: string
            nullable: false
            length: 4
            fixed: false
            column: attribute_type
        displayType:
            type: string
            nullable: true
            length: 64
            fixed: false
            column: attribute_display_type
        attributeOptions:
            type: array
            nullable: true
            column: attribute_value_options
    manyToOne:
        Application:
            targetEntity: Application
            inversedBy: Attributes
            joinColumn:
                name: application_id
                referencedColumnName: application_id
    oneToMany:
        UserApplicationAttributes:
            targetEntity: UserApplicationAttribute
            mappedBy: Attribute
    lifecycleCallbacks:
        prePersist: [ onPrePersist ]
        preUpdate: [ onPreUpdate ]
        preRemove: [ onPreRemove ]
